ExecutableMemberDoc (Java SE 11 & JDK 11 )
Keywords: com.sun.javadoc.ExecutableMemberDoc interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface ExecutableMemberDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`, `MemberDoc`, `ProgramElementDoc`
  All Known Subinterfaces:
    `AnnotationTypeElementDoc`, `ConstructorDoc`, `MethodDoc`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface ExecutableMemberDoc
      extends MemberDoc

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a method or constructor of a java class.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `flatSignature()` | Deprecated, for removal: This API element is subject to removal in a future version. get flat signature.
    `boolean` | `isNative()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this method is native
    `boolean` | `isSynchronized()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this method is synchronized
    `boolean` | `isVarArgs()` | Deprecated, for removal: This API element is subject to removal in a future version. Return true if this method was declared to take a variable number of arguments.
    `Parameter[]` | `parameters()` | Deprecated, for removal: This API element is subject to removal in a future version. Get argument information.
    `ParamTag[]` | `paramTags()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the param tags in this method, excluding the type parameter tags.
    `Type` | `receiverType()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the receiver type of this executable element.
    `String` | `signature()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the signature.
    `ClassDoc[]` | `thrownExceptions()` | Deprecated, for removal: This API element is subject to removal in a future version. Return exceptions this method or constructor throws.
    `Type[]` | `thrownExceptionTypes()` | Deprecated, for removal: This API element is subject to removal in a future version. Return exceptions this method or constructor throws.
    `ThrowsTag[]` | `throwsTags()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the throws tags in this method.
    `TypeVariable[]` | `typeParameters()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the formal type parameters of this method or constructor.
    `ParamTag[]` | `typeParamTags()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the type parameter tags in this method.

    - ### Methods declared in interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

    - ### Methods declared in interface com.sun.javadoc.MemberDoc

      `isSynthetic`

    - ### Methods declared in interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- - ### Method Detail

    - #### thrownExceptions

          ClassDoc[] thrownExceptions()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return exceptions this method or constructor throws. If the type of the exception is a type variable, return the `ClassDoc` of its erasure.

      The `thrownExceptions` method cannot accommodate certain generic type constructs. The `thrownExceptionTypes` method should be used instead.

      Returns:
        an array of ClassDoc[] representing the exceptions thrown by this method.
      See Also:
        `thrownExceptionTypes()`

    - #### thrownExceptionTypes

          Type[] thrownExceptionTypes()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return exceptions this method or constructor throws.
      Returns:
        an array representing the exceptions thrown by this method. Each array element is either a `ClassDoc` or a `TypeVariable`.
      Since:
        1.5

    - #### isNative

          boolean isNative()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this method is native
      Returns:
        true if this method is native

    - #### isSynchronized

          boolean isSynchronized()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this method is synchronized
      Returns:
        true if this method is synchronized

    - #### isVarArgs

          boolean isVarArgs()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return true if this method was declared to take a variable number of arguments.
      Returns:
        true if this method was declared to take a variable number of arguments.
      Since:
        1.5

    - #### parameters

          Parameter[] parameters()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get argument information.
      Returns:
        an array of Parameter, one element per argument in the order the arguments are present.
      See Also:
        `Parameter`

    - #### receiverType

          Type receiverType()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the receiver type of this executable element.
      Returns:
        the receiver type of this executable element.
      Since:
        1.8

    - #### throwsTags

          ThrowsTag[] throwsTags()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the throws tags in this method.
      Returns:
        an array of ThrowTag containing all `@exception` and `@throws` tags.

    - #### paramTags

          ParamTag[] paramTags()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the param tags in this method, excluding the type parameter tags.
      Returns:
        an array of ParamTag containing all `@param` tags corresponding to the parameters of this method.

    - #### typeParamTags

          ParamTag[] typeParamTags()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the type parameter tags in this method.
      Returns:
        an array of ParamTag containing all `@param` tags corresponding to the type parameters of this method.
      Since:
        1.5

    - #### signature

          String signature()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the signature. It is the parameter list, type is qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(java.lang.String,int)`.
      Returns:
        the parameter list where type is qualified.

    - #### flatSignature

          String flatSignature()

      Deprecated, for removal: This API element is subject to removal in a future version.
      get flat signature. all types are not qualified. return a String, which is the flat signiture of this member. It is the parameter list, type is not qualified. For instance, for a method `mymethod(String x, int y)`, it will return `(String, int)`.
      Returns:
        a String, which is the flat signiture of this member.

    - #### typeParameters

          TypeVariable[] typeParameters()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the formal type parameters of this method or constructor. Return an empty array if this method or constructor is not generic.
      Returns:
        the formal type parameters of this method or constructor.
      Since:
        1.5